Debian Bug report logs - #694326
ITP: perl-cross-debian -- Cross build support for Debian perl configurations

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Neil Williams <codehelp@debian.org>

Date: Sun, 25 Nov 2012 14:33:02 UTC

Owned by: Neil Williams <codehelp@debian.org>

Severity: wishlist

Fixed in version perl-cross-debian/0.0.1

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, codehelp@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#694326; Package wnpp. (Sun, 25 Nov 2012 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to codehelp@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 25 Nov 2012 14:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: perl-cross-debian -- Cross build support for Debian perl configurations
Date: Sun, 25 Nov 2012 14:29:07 +0000
Package: wnpp
Severity: wishlist
Owner: Neil Williams <codehelp@debian.org>

* Package name    : perl-cross-debian
  Version         : 0.0.1
  Upstream Author : Neil Williams <codehelp@debian.org>
* URL             : https://github.com/codehelp/perl-cross-debian
* License         : GPL
  Programming Lang: Perl
  Description     : Cross build support for Debian perl configurations

 This package provides the configuration values for selected
 versions of perl, compatible with the Debian configuration of
 that version of perl, to avoid detection of these values during
 a cross-build.
 .
 Also provides a helper script to push the relevant configuration
 files into the cross-build using support in debian/rules within
 perl.

<end of long description>

Notes for debian-devel readers:

The homepage links to the initial ideas for this package on my
blog and I'll add more as the package develops. This package
requires some changes in perl upstream and in the Debian perl
package - details of those changes will be finalised prior to
upload of this package to experimental.

The intent is that this package will have a strict dependency on
the latest version of perl which is supports or any lower version
so that the version of perl in Debian testing should always cross
compile for the list of supported architectures.

Initially, the only supported architectures in perl-cross-debian
will be armel and armhf with expected support for arm64. Join the
team to support other architectures.

The cross-build support in this package is specific to the Debian
configuration of the specific version of upstream perl on the
supported architectures. All cross-builds need the full list of
build-dependencies for perl installed plus a suitable cross-compiler
(not currently in Debian) and cross-dependencies (likely via
dpkg-cross until MultiArch can handle -dev packages cleanly).



Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 13 Dec 2012 14:30:05 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Fri, 14 Dec 2012 23:03:25 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Fri, 14 Dec 2012 23:03:25 GMT) Full text and rfc822 format available.

Message #12 received at 694326-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 694326-close@bugs.debian.org
Subject: Bug#694326: fixed in perl-cross-debian 0.0.1
Date: Fri, 14 Dec 2012 23:00:22 +0000
Source: perl-cross-debian
Source-Version: 0.0.1

We believe that the bug you reported is fixed in the latest version of
perl-cross-debian, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694326@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated perl-cross-debian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 25 Nov 2012 14:53:59 +0000
Source: perl-cross-debian
Binary: perl-cross-debian
Architecture: source all
Version: 0.0.1
Distribution: experimental
Urgency: low
Maintainer: Neil Williams <codehelp@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 perl-cross-debian - Cross build support for Debian perl configurations
Closes: 694326
Changes: 
 perl-cross-debian (0.0.1) experimental; urgency=low
 .
   * Initial release. (Closes: #694326: ITP: perl-cross-debian -- Cross
     build support for Debian perl configurations)
Checksums-Sha1: 
 ea599f54f98a238dd266387d437a742c12517807 1646 perl-cross-debian_0.0.1.dsc
 724c114dd0c78e2002e974fae0f50e2f50008d20 401401 perl-cross-debian_0.0.1.tar.gz
 af8b4cac18a77ea11e4bb12e3693882efddc9234 392494 perl-cross-debian_0.0.1_all.deb
Checksums-Sha256: 
 cb7d3240a88e44db467f49d75323b5f15508de53a3cd42bbd876363af5650fd8 1646 perl-cross-debian_0.0.1.dsc
 0b2b9f2a709ea18b22813278147c5a772423f2ffca7a14196bdc455131bccadd 401401 perl-cross-debian_0.0.1.tar.gz
 29c8e796634c9ff0f41d612193f22e2b52616f3068bb9c8099a6426be9ef5479 392494 perl-cross-debian_0.0.1_all.deb
Files: 
 7e5950d9ad8019c18a3fedf2d82feaeb 1646 devel extra perl-cross-debian_0.0.1.dsc
 3b935a8ddc432d29be5a3225671d1c43 401401 devel extra perl-cross-debian_0.0.1.tar.gz
 a469979ae56fff02b4bcd9a1698d4589 392494 devel extra perl-cross-debian_0.0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQydCaAAoJEPFn5DyBQ7aCDUgQAIFnb4mQJ1SJK7VczpczrZhP
pg5sYc6TkROnAn4ONKo7CGJ0P8tbP+kXK3/c2421+ohGVbjlqUe8BvUZC/QpYnS+
S+4tRh4LiyRS3j8TEkrP3bopD25tRnrKi9C/1r2cvssflGWs15gBc+skTtlPGbeJ
aCXVgwo+j/2IuwiTjpXlbyIWGIAQrw0py9HVY1EpqRo9cQkJTyWJMUgnXNa1j3jE
KrkTU2uLnz+xa1deUH0AQEf9rYOrwXYgRNS+BcAOB+Joj9AOL3nptiIQrr3EEZU8
eUcm5JucoG7gG37EHLrpptI9sRgf9BFu1Ms7VLknYZotD17uimqQomwDdvsTgQy6
XdIFqBAPuvEp7COMzos9aeHPLpuPzbRqVn8e5b19FqNGPUWp8Q9h4f5gQtD7d3VV
E+WJgO5tuODEK0iE2mzu3kAuzbuPPm0LCDI3u8NR+JXkn7UHE9yu8wSFZ4XErYaK
gzADLJpzKdSG8dhE65Pnj+IkqlYlWo/n8nCF0AUCL9DPxjze2jwyH8hRltCmVwhQ
xGvdprnInEKjbk9MW5sXN61Tj1egfpBcyUkyOmX0vBrUGBnhjR1TTkvhTOoZEbaZ
/vTyD2c8LO6pU/xOruU6tiuMSthY8m8dae0Re8f5YAx+3L4vENbALIwBsHHgCgUN
7EjiVsJzFOgUzG4rtJa6
=g49C
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Jan 2013 07:25:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:30:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.